### Constructor

# Rsvg Handlenew_from_data

#### Declaration [src]

    RsvgHandle*
    rsvg_handle_new_from_data (
      const guint8* data,
      gsize data_len,
      GError** error
    )

#### Description [src]

Loads the SVG specified by `data`. Note that this function creates an `RsvgHandle` without a base URL, and without any `RsvgHandleFlags`. If you need these, use `rsvg_handle_new_from_stream_sync()` instead by creating a `GMemoryInputStream` from your data.

Available since: | 2.14

#### Parameters

`data` | An array of `guint8`
| The SVG data.
| The length of the array is specified in the `data_len` argument.
| The data is owned by the caller of the function.
`data_len` | `gsize`
| The length of `data`, in bytes.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `RsvgHandle`
| A `RsvgHandle` or `NULL` if an error occurs.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.